gdata.tlslite.utils.Python_AES | index /build/buildd/python-gdata-2.0.18+dfsg/src/gdata/tlslite/utils/Python_AES.py

`Pure-Python AES implementation.`

Modules

``

array base64 | binascii math | os sys | traceback

Classes

``

gdata.tlslite.utils.AES.AES
  Python_AES

class Python_AES(gdata.tlslite.utils.AES.AES)

``

Methods defined here:

__init__(self, key, mode, IV)

decrypt(self, ciphertext)

encrypt(self, plaintext)

Functions

``

new(key, mode, IV)

sha1 = openssl_sha1(...)
  `Returns a sha1 hash object; optionally initialized with a string`

Data
`` |  | cryptlibpyLoaded = False gmpyLoaded = False m2cryptoLoaded = False prngName = 'os.urandom' pycryptoLoaded = False sieve = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, ...]